Package Details: cadence-git 1:r979.7eeeb94-1

Git Clone URL: https://aur.archlinux.org/cadence-git.git (read-only)
Package Base: cadence-git
Description: JACK Audio Toolbox.
Upstream URL: http://kxstudio.sf.net/cadence
Licenses: GPL2
Conflicts: cadence
Provides: cadence
Submitter: speps
Maintainer: KenjiTakahashi
Last Packager: KenjiTakahashi
Votes: 13
Popularity: 0.019144
First Submitted: 2011-07-15 19:24
Last Updated: 2016-05-07 01:35

Dependencies (9)

Required by (0)

Sources (1)

Latest Comments

KenjiTakahashi commented on 2016-02-08 23:04

Too late, I guess? But what would be the actual problem?

WoefulDerelict commented on 2016-02-04 01:03

Using epoch in git packages is likely not the best solution.

kneitinger commented on 2015-11-07 08:31

After some troubleshooting I figured out that the Pulseaudio to JACK bridge additionally depends on the pulseaudio-jack package.

KenjiTakahashi commented on 2015-07-29 19:49

Updated. I know there exists a numbered release, but it's not really specified anywhere outside of the old tarball on SF, so I went with "straight" revision number.

Also sorry for late responses, I have quite a lot going on in life right now, AUR is pretty low in priorities.

WoefulDerelict commented on 2015-07-18 08:22

Please see the VCS package guidelines regarding the proper versions for VCS packages (https://wiki.archlinux.org/index.php/VCS_package_guidelines). When possible tags and revision numbers are preferred over dates.

KenjiTakahashi commented on 2015-07-16 23:29

Updated, thanks.

SpotlightKid commented on 2015-07-13 13:46

You should include an .install file to update the icon cache. Namcap complains:

cadence-git E: Files in /usr/share/icons/hicolor but no call to gtk-update-icon-cache or xdg-icon-resource to update the icon cache

speps commented on 2014-11-27 05:06

Disowning for lack of time

falkTX commented on 2013-07-17 13:26

I have made a stable AUR package for cadence.
https://aur.archlinux.org/packages/cadence/

Please use 'cadence' instead of this package.

falkTX commented on 2013-01-27 20:56

Cadence no longer has Carla in its sourcecode, it's now a separate project:
https://github.com/falkTX/Carla

it's not usable yet though, please give me time to cleanup the code and later make a release.

funkmuscle commented on 2013-01-27 20:53

hey falk, just did a fresh pull and getting this error:

$ cadence
Using Tray Engine 'Qt'
sh: carla: command not found

falkTX commented on 2012-12-04 18:48

Thanks for the report, should be fixed now.

for rdflib support, you need to use the py3 version.

gh0st commented on 2012-12-04 14:46

I get the following errors:

cadence
-------
Traceback (most recent call last):
File "/usr/share/cadence/src/cadence.py", line 30, in <module>
from shared_jack import *
ImportError: No module named 'shared_jack'

carla
-----
after installing 'python2-rdflib'
LRDF Support not available (LADSPA-RDF will be disabled)

catarina
--------
Traceback (most recent call last):
File "/usr/share/cadence/src/catarina.py", line 30, in <module>
from shared_canvas import *
ImportError: No module named 'shared_canvas'

claudia
-------
Traceback (most recent call last):
File "/usr/lib/python3.3/site-packages/dbus/bus.py", line 175, in activate_name_owner
return self.get_name_owner(bus_name)
File "/usr/lib/python3.3/site-packages/dbus/bus.py", line 361, in get_name_owner
's', (bus_name,), **keywords)
File "/usr/lib/python3.3/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.ladish': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/cadence/src/claudia.py", line 2554, in <module>
DBus.ladish_control = DBus.bus.get_object("org.ladish", "/org/ladish/Control")
File "/usr/lib/python3.3/site-packages/dbus/bus.py", line 241, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File "/usr/lib/python3.3/site-packages/dbus/proxies.py", line 248, in __init__
self._named_service = conn.activate_name_owner(bus_name)
File "/usr/lib/python3.3/site-packages/dbus/bus.py", line 180, in activate_name_owner
self.start_service_by_name(bus_name)
File "/usr/lib/python3.3/site-packages/dbus/bus.py", line 278, in start_service_by_name
'su', (bus_name, flags)))
File "/usr/lib/python3.3/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.ladish was not provided by any .service files

falkTX commented on 2012-10-23 15:43

That error is from linuxsampler, and not truly related to Cadence or Carla.
This could be worked around by forcing RPATH in Carla, but that's a nasty hack I don't want.

From what I see, the linuxsampler Arch package needs fixing.
create a file '/etc/ld.so.conf.d/linuxsampler.conf' and put there:
/usr/lib/linuxsampler

alternatively, run this before starting carla:
export LD_LIBRARY_PATH=/usr/lib/linuxsampler

blackhole commented on 2012-10-23 15:15

Carla is not starting (I have linuxsampler.so.3 installed)

Traceback (most recent call last):
File "/usr/share/cadence/src/carla.py", line 2097, in <module>
Carla.Host = Host(libPrefix)
File "/usr/share/cadence/src/carla_backend.py", line 763, in __init__
self.lib = cdll.LoadLibrary(carla_library_path)
File "/usr/lib/python3.3/ctypes/__init__.py", line 431, in LoadLibrary
return self._dlltype(name)
File "/usr/lib/python3.3/ctypes/__init__.py", line 353, in __init__
self._handle = _dlopen(self._name, mode)
OSError: liblinuxsampler.so.3: cannot open shared object file: No such file or directory

falkTX commented on 2012-09-17 15:22

package is updated, thanks speps!

Please report any issues or feature requests here:
https://github.com/falkTX/Cadence/issues?state=open

falkTX commented on 2012-09-12 08:30

The new repo should now be used, most things are now implemented there.
I've updated the PKGCONFIG with needed changes:
http://kxstudio.sourceforge.net/Paste/repo/2Mreq
(python3 is now used)

I don't see python-rdflib anywhere though, was it removed?

There is a forum topic for this Cadence pre-beta release on linuxmusicians:
http://linuxmusicians.com/viewtopic.php?f=47&t=10027

@speeps:
Can you please update this package using that PKGCONFIG?
thanks

Anonymous comment on 2012-07-29 13:50

Is the package "pyqt" missing in the dependencies? I got an error saying that "pyuic4" could not be found.

falkTX commented on 2012-07-23 01:57

development is now on that new repo, yes, but some tools are not usable at the moment.
I'm working on getting a beta1 release out, please be patient.

Anonymous comment on 2012-07-23 01:18

Could this be updated for github (https://github.com/falkTX/Cadence)? Development seems to be happening there now instead.

blackhole commented on 2012-06-04 18:53

Could not configure jack from cadence (python2 installed):

jack_settings
Traceback (most recent call last):
File "/usr/share/cadence/src/jacksettings.py", line 655, in <module>
gui = JackSettingsW()
File "/usr/share/cadence/src/jacksettings.py", line 125, in __init__
self.loadServerSettings()
File "/usr/share/cadence/src/jacksettings.py", line 232, in loadServerSettings
value = jackctl.GetParameterValue(["engine",attribute])[2]
File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
**keywords)
File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

speps commented on 2012-05-11 01:54

@falkTX Hey, pyliblo is now provided by python2-pyliblo, please fix dependency. Cheers

Anonymous comment on 2012-04-30 19:32

seems to require fluidsynth to install on my system, fails otherwise.

funkmuscle commented on 2011-12-26 05:37

falk, yeah, by running one at a time did it... weird... and yeah, I do have rdflib installed.
thanx

falkTX commented on 2011-12-26 02:55

@funkmuscle: Please be a little more specific.
The new dialog for finding plugins lets you set which plugins to look for. Please try one type at a time to see which one is causing it.

but I suspect some broken plugin is just hanging the discovery (the name is in the progress-bar).

ps - for lv2 you need 'rdflib' package.

funkmuscle commented on 2011-12-26 02:49

hey falk, I've pulled the latest git today and now I can't update the plugins list... I hit refresh and it just keeps searching.... before this it worked but it just wouldn't find the LV2s..

falkTX commented on 2011-12-25 03:32

@looplog:
Thanks for the report, now fixed

Anonymous comment on 2011-12-25 03:23

Just rebuilt and now cadence is failing with the following error:

Traceback (most recent call last):
File "/usr/share/cadence/src/cadence.py", line 94, in <module>
GlobalSettings = QSettings("Cadence", "GlobalSettings")
NameError: name 'QSettings' is not defined

Ninez commented on 2011-10-27 02:42

Well, i can't entirely help you there, but lets put it like this;

in order to fix my asoundrc, i opened both files (the old and new one), then i simply cut and paste my old one into the new one.
maybe some sort of sed command could be used to append it to the top or bottom, instead of making a new one??
I suppose if it was possible, you would append it to the top of the file, as sometimes people have longer asoundrc (especially, if not using PA)

if you could do that, you wouldn't need to worry about any of the complexity, right?

cheerz

PS: I love all the stuff you are developing! keep up the good work :)

falkTX commented on 2011-10-26 22:04

The "problem" is that asoundrc is a very very complicated business, and I don't even understand it well.
How would I be able to edit it...? (Any help is welcome)

But, this project may have useful code - http://www.xwmw.org/qasconfig/index.html
I'll check it out soon and see if I can borrow something.

Ninez commented on 2011-10-26 21:13

@falkTX

don't bother doing that (having it create .asounrc with a date). the linux file-system creates - .asoundrc~

so technically, it does get backed up, naturally anyway.

The point was more, having it overwrite that file, can screw with a user's settings. But understandably, it isn't a high-priority.

At least it is documented here, if anyone runs into the same problem.




falkTX commented on 2011-10-26 09:21

I'm aware of that issue, but 'Cadence' is not the priority right now.
The focus is currently at the patchcanvas module, sorting it out and making it work faster (more reliable too).

I'll try to make it rename the "old" config to something like ~/.asoundrc.old-20111026 in the mean time.

Ninez commented on 2011-10-26 01:45

i've found something that should probably be fixed in Cadence.

if you select alsa-bridge-->jack

rather than adding/appending the pcm.jack stuff to your existing .asoundrc - it instead replaces it. for some people, i am sure that is okay. But some of us have a customized .asoundrc , and require them... my external audio interface must be specified in .asoundrc, for example.

it would be nice, if the default behavior wasn't to replace an existing asoundrc. but instead to add the alsa-bridge/jack stuff to it. I just spent the last 20 minutes trying to figure out why jackdbus wasn't working, and that was the reason ~ Cadence overwrote my settings.

cheerz




falkTX commented on 2011-10-25 23:01

Updated, now builds fine again